/************************************************************************************/
/*  Program name CAPFNDIMP_ORG_UNITS_TL.sql                                         */
/*  Creater:  WONG Wing Kin (PCCW - UniHub)                                         */
/*************   History   *************************                                */
/* 30 NOV, 2005   WONG Wing Kin         First created                               */
/************************************************************************************/
SET SERVEROUTPUT ON SIZE 1000000;

--ALTER TRIGGER HR_ALL_ORGANIZATION_013150_WHO DISABLE;

DECLARE
	lv_Prog_ID		VARCHAR2(100)	:=	'CAPFNDIMP_ORG_UNITS_TL';

	lv_Scc_Count	NUMBER			:=	0;
	lv_Err_Count	NUMBER			:=	0;
	lv_Err_Msg		VARCHAR2(500)	:=	'No Error';

	CURSOR Cur_F IS
	SELECT
		*
	FROM
		CRST_FND_ORG_UNITS_TL;

	lv_Next_Seq_ID	NUMBER;

BEGIN

	FOR C1 IN Cur_F LOOP
		BEGIN			
			INSERT INTO HR_ALL_ORGANIZATION_UNITS_TL
			VALUES
			(
			CAPBRIMP_MAPPING.GetOrgMapping(C1.ORGANIZATION_ID),		--ORGANIZATION_ID,
			C1.LANGUAGE,
			C1.SOURCE_LANG,
			C1.NAME,
			C1.LAST_UPDATE_DATE,
			CAPBRIMP_COMMON.GetUser(C1.LAST_UPDATED_NAME),			--LAST_UPDATED_BY,
			C1.LAST_UPDATE_LOGIN,
			CAPBRIMP_COMMON.GetUser(C1.CREATED_NAME),				--CREATED_BY,
			C1.CREATION_DATE
			);
		EXCEPTION
			WHEN OTHERS THEN
				--dbms_output.put_line(CAPBRIMP_MAPPING.GetOrgMapping(C1.ORGANIZATION_ID)||C1.LANGUAGE);
				DBMS_OUTPUT.Put_Line(SQLERRM);
				lv_Err_Count	:=	lv_Err_Count + 1;
		END;
		lv_Scc_Count	:=	lv_Scc_Count	+	1;
	END LOOP;

	IF	lv_Err_Count	>	0	THEN
		ROLLBACK;
	END IF;

	INSERT INTO CAPCNV_LOG(
		PROG_ID,
		PROCESS_DATE,
		RECORD_PROCESSED,
		RECORD_REJECTED,
		RECORD_EXTRACTED,
		ERR_MSG
	) VALUES (
		lv_Prog_ID,
		SYSDATE,
		lv_Scc_Count,
		lv_Err_Count,
		lv_Scc_Count-lv_Err_Count,
		lv_Err_Msg
	);

	COMMIT;

			
END;
/

--ALTER TRIGGER HR_ALL_ORGANIZATION_013150_WHO ENABLE;
